Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1196151 - BRMS execution server on Weblogic cannot use mapped JNDI for JMS connection factory
Summary: BRMS execution server on Weblogic cannot use mapped JNDI for JMS connection f...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Kie-Server
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ER6
: 6.1.0
Assignee: Edson Tirelli
QA Contact: Karel Suta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-25 11:48 UTC by Karel Suta
Modified: 2020-03-27 20:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:05:36 UTC
Type: Bug


Attachments (Terms of Use)
example of weblogic-ejb-jar.xml (872 bytes, application/xml)
2015-02-25 11:48 UTC, Karel Suta
no flags Details

Description Karel Suta 2015-02-25 11:48:23 UTC
Created attachment 995106 [details]
example of weblogic-ejb-jar.xml

Description of problem:
In JMS execution server message bean(KieServerMDB) there is ConnectionFactory which is mapped to JNDI name java:/JmsXA. This is JBoss specific, in Weblogic there isn't possible to map JMS connection factory to this JNDI.
Solution is to use weblogic-ejb-jar.xml to remap JNDI values to some which are processable by Weblogic, same as is done in BusinessCentral for JMS invocations. Example of such configuration is in attachment.

Version-Release number of selected component (if applicable):
6.1.0.ER5

How reproducible:
Send JMS message to execution server on Weblogic.

Steps to Reproduce:
1.
2.
3.

Actual results:
BRMS execution server cannot map JMS ConnectionFactory to JNDI.

Expected results:
Request is processed and response is returned.

Additional info:

Comment 2 Petr Široký 2015-02-25 17:39:04 UTC
Thanks Karel! I used the file you proposed as it is the same solution that is already used for BPMS exec. server (kie-remote).

Fixed in 6.2.x and master.

6.2.x commit: https://github.com/droolsjbpm/droolsjbpm-integration/commit/b1fb23bdc2d6fdd84d3f59ea38f064af445f5a86

Comment 3 Karel Suta 2015-03-11 14:54:11 UTC
Verified in 6.1.0.ER6.


Note You need to log in before you can comment on or make changes to this bug.